package vo

import (
	"electricity_bill_calc/types"

	"github.com/shopspring/decimal"
)

type ReportCreationForm struct {
	Park        string          `json:"parkId"`
	PeriodBegin types.Date      `json:"periodBegin"`
	PeriodEnd   types.Date      `json:"periodEnd"`
	Overall     decimal.Decimal `json:"overall"`
	OverallFee  decimal.Decimal `json:"overallFee"`
	Critical    decimal.Decimal `json:"critical"`
	CriticalFee decimal.Decimal `json:"criticalFee"`
	Peak        decimal.Decimal `json:"peak"`
	PeakFee     decimal.Decimal `json:"peakFee"`
	Flat        decimal.Decimal `json:"flat,omitempty"`
	FlatFee     decimal.Decimal `json:"flatFee,omitempty"`
	Valley      decimal.Decimal `json:"valley"`
	ValleyFee   decimal.Decimal `json:"valleyFee"`
	BasicFee    decimal.Decimal `json:"basicFee"`
	AdjustFee   decimal.Decimal `json:"adjustFee"`
}

type ReportModifyForm struct {
	PeriodBegin types.Date      `json:"periodBegin"`
	PeriodEnd   types.Date      `json:"periodEnd"`
	Overall     decimal.Decimal `json:"overall"`
	OverallFee  decimal.Decimal `json:"overallFee"`
	Critical    decimal.Decimal `json:"critical"`
	CriticalFee decimal.Decimal `json:"criticalFee"`
	Peak        decimal.Decimal `json:"peak"`
	PeakFee     decimal.Decimal `json:"peakFee"`
	Flat        decimal.Decimal `json:"flat,omitempty"`
	FlatFee     decimal.Decimal `json:"flatFee,omitempty"`
	Valley      decimal.Decimal `json:"valley"`
	ValleyFee   decimal.Decimal `json:"valleyFee"`
	BasicFee    decimal.Decimal `json:"basicFee"`
	AdjustFee   decimal.Decimal `json:"adjustFee"`
}
